#!/usr/bin/env python
import plistlib
import os
import find as _find
from public import public
import runcmd
import values

HOME = os.environ["HOME"]
LIBRARY = os.path.join(HOME, "Library")
LAUNCHAGENTS = os.path.join(LIBRARY, "LaunchAgents")


def _map_files(path):
    for path in _find.files(path):
        name, ext = os.path.splitext(path)
        if ext == ".plist":
            yield path


@public
def find(path=None):
    if not path:
        path = LAUNCHAGENTS
    return list(_map_files(path))


@public
def read(path):
    return plistlib.readPlist(path)


@public
def _launchctl(args):
    _args = ["launchctl"] + args
    runcmd.run(_args)._raise()


@public
def load(path):
    args = ["launchctl", "load", "-F"] + values.get(path)
    runcmd.run(args)._raise()


@public
def unload(path):
    args = ["launchctl", "unload"] + values.get(path)
    runcmd.run(args)._raise()
