#!/usr/bin/env python
import os
import sys
import launchagents

USAGE = 'usage: python -m launchagents.logs.create [path]'

LAUNCHAGENTS = os.path.join(os.environ["HOME"], "Library", "LaunchAgents")
KEYS = ["StandardErrorPath", "StandardOutPath"]


def _touch(path):
    if path and path[0] == "/":
        dirname = os.path.dirname(path)
        if not os.path.exists(dirname):
            os.makedirs(dirname)
        open(path, "w").write("")


def create(path):
    files = launchagents.find(path)
    for f in files:
        plist = launchagents.read(f)
        for key in KEYS:
            value = plist.get(key, None)
            _touch(value)


def _cli():
    path = sys.argv[1] if len(sys.argv) == 2 else LAUNCHAGENTS
    create(path)


if __name__ == '__main__':
    _cli()
