#!/usr/bin/env python
import os
import sys
import launchagents

USAGE = 'usage: python -m launchagents.logs.out [path]'

LAUNCHAGENTS = os.path.join(os.environ["HOME"], "Library", "LaunchAgents")
KEY = "StandardOutPath"


def find(path):
    files = launchagents.find(path)
    for f in files:
        plist = launchagents.read(f)
        value = plist.get(KEY, None)
        if value and os.path.getsize(value):
            yield value


def _cli():
    path = sys.argv[1] if len(sys.argv) == 2 else LAUNCHAGENTS
    logs = list(find(path))
    if logs:
        print("\n".join(find(path)))


if __name__ == '__main__':
    _cli()
